<?php

require "../config.php";

$id = $_POST['id'];

$no_surat = $conn->real_escape_string($_POST['no_surat']);

/* AMBIL DISPOSISI */
$disposisi = $_POST['disposisi'];

/* HAPUS YANG KOSONG */
$disposisi = array_filter($disposisi);

/* GABUNG JADI 1 TEXT */
$disposisi_text = implode(" | ", $disposisi);

/* AMANKAN */
$disposisi_text = $conn->real_escape_string($disposisi_text);

/* SIMPAN */
$conn->query("
UPDATE pengajuan 
SET 
    no_surat='$no_surat',
    disposisi='$disposisi_text',
    status_admin2='Sudah TNDE'
WHERE id='$id'
");

/* KEMBALI */
header("Location: surat_diterima");
exit;

?>